#################################
### Set the Working-Directory ###
#################################
# i.e. tell R in which FOLDER the data is located


### in R-Studio
# you can select the working directory via the GUI (graphical user interface)


### in R on a Mac
# open the Finder
# right-click on your data file
# select "Get Info"
# copy the information in the category "Where:"
# paste it inside the brackets below (keeping the quotation marks)

setwd("/Users/Ulrike/Documents/Veranstaltungen/2018 06 Workshop Data Analysis in R/Upload Package")


### in R on Windows
setwd("U:/Dokumente/Veranstaltungen/2018 06 Workshop Data Analysis in R")


#####################
### Read the Data ###
#####################
# i.e. "open" it in R

hesitations <- read.csv(file="Hesitation Placement in PPs.csv", head=T, sep=",", fileEncoding="utf8")



################################
### A First Look at the Data ###
################################

head(hesitations)

tail(hesitations)

names(hesitations)




#############################
### Explore Distributions ###
#############################
# Are (some of) the factors skewed?

# Histograms
hist(hesitations$freq_N)

hist(hesitations$TPD_PN)

hist(hesitations$TPB_PN)

hist(hesitations$MI_PN)


# Test whether data is normally distributed
shapiro.test(hesitations$freq_N)

shapiro.test(hesitations$MI_PN)


# Plot using a qqplot
qqnorm(hesitations$freq_N);qqline(hesitations$freq_N, col = 2)

qqnorm(hesitations$MI_PN);qqline(hesitations$MI_PN, col = 2)



############################
### Explore Correlations ###
############################

cor.test(hesitations$TPD_PN, hesitations$dPf_PN, method="pearson") # parametric test

cor.test(hesitations$TPD_PN, hesitations$dPf_PN, method="kendall") # non-parametric test


plot(hesitations$TPD_PN ~ hesitations$dPf_PN)
abline(lm(hesitations$TPD_PN ~ hesitations$dPf_PN))


plot(hesitations$bifreq_PN ~ hesitations$G_PN)







