#################################
### Set the Working-Directory ###
#################################

### in R on a Mac
setwd("/Users/Ulrike/Documents/Veranstaltungen/2018 06 Workshop Data Analysis in R/Upload Package")


### in R on Windows
setwd("U:/Dokumente/Veranstaltungen/2018 06 Workshop Data Analysis in R")


#####################
### Read the Data ###
#####################

vari <- read.csv(file="Variable Importance Forest1.csv", head=T, sep=",", fileEncoding="utf8")

vari





#############################
### Graphischer Vergleich ###
#############################

# modify the data format
vari2 <- vari[,2]
names(vari2) <- vari[,1]
vari2

# simple graph
dotchart(vari2, cex=.8, main="Hesitation Placement\nin Prepositional Phrases", xlab="Variable Importance")
abline(v=0.01, col="grey66")


# complex graph
ngram_XP <- c(vari2[c(5,7,9,11,13,15,17)])
ngram_PN <- c(vari2[c(6,8,10,12,14,16,18)])
both <- as.matrix(data.frame(rbind(ngram_XP, ngram_PN)))

row.names(both) <- c("Prep Noun", "X Prep")
colnames(both) <- c("Frequency", "TP forward", "TP backward", "MI", "G", "DeltaP forward", "DeltaP backward")

dotchart(both, cex=.8, main="Hesitation Placement\nin Prepositional Phrases", xlab="Variable Importance")
abline(v=0.01, col="grey66")






# PDN
pdn.results <- unlist(c(pdn.results))
is.vector(pdn.results)

pdn.pos0 <- c(pdn.results[c(3,6,18,9,21,12,15)])
pdn.pos1 <- c(pdn.results[c(4,7,19,10,22,13,16)])
pdn.pos2 <- c(pdn.results[c(5,8,20,11,23,14,17)])

pdn.all <- as.matrix(data.frame(rbind(pdn.pos2, pdn.pos1, pdn.pos0)))
row.names(pdn.all) <- c("Det Noun", "Prep Det", "X Prep")
colnames(pdn.all) <- c("Frequency", "TP forward", "DeltaP forward", "TP backward", "DeltaP backward", "MI", "G")

dotchart(t(vari), cex=.8, main="Preposition Noun", xlab="Variable Importance")
abline(v=0.01, col="grey66")





setwd("/Users/Ulrike/Documents/Diss/32_Paper Measures of Association/02_Prepositional Phrases/06_Beide Studien - mehr forests + trees/04_Ueberarbeitung nach Review")
pdf("test", width=9, height=16)
par(mfrow = c(3,1))

par(mfrow = c(1,1))
dev.off()



































