#####################
### Load the Data ###
#####################

setwd("/Users/Ulrike/Documents/Veranstaltungen/2018 06 Workshop Data Analysis in R/Upload Package")

hesitations <- read.csv(file="Hesitation Placement in PPs.csv", head=T, sep=",", fileEncoding="utf8")
hesitation$hes.position <- as.factor(hesitation$hes.position)



#####################
### Load Packages ###
#####################

library(party)



###################################
### Set a New Working Directory ###
###################################
# set a different working directory if you want your results to be saved in a different location than the original data

setwd("...")



#############################################
### Run many Forests and Save the Results ###
#############################################

# predetermine a set of random seeds
seeds <- sample(1:1500, size=500, replace=FALSE)

# create an empty table for your results
result.table <- data.frame(c())

for (i in 1:500) {
	set.seed(seeds[i])
	data.controls <- cforest_unbiased(ntree=100, mtry=5)
	forest <- cforest(hes.position ~ hes.type + freq_X + freq_P + freq_N + bifreq_XP + bifreq_PN + TPD_XP + TPD_PN + TPB_XP + TPB_PN + MI_XP + MI_PN + G_XP + G_PN + dPf_XP + dPf_PN + dPb_XP + dPb_PN, controls=data.controls, data=hesitations)
	var.imp <- varimp(forest)
	a <- table(hesitations$hes.position, predict(forest))
	b <- a[1,1]+a[2,2]
	result.table[i,1] <- seeds[i]
	result.table[i,2] <- b
	result.table[i,3] <- as.vector(var.imp[1])
	result.table[i,4] <- as.vector(var.imp[2])
	result.table[i,5] <- as.vector(var.imp[3])
	result.table[i,6] <- as.vector(var.imp[4])
	result.table[i,7] <- as.vector(var.imp[5])
	result.table[i,8] <- as.vector(var.imp[6])
	result.table[i,9] <- as.vector(var.imp[7])
	result.table[i,10] <- as.vector(var.imp[8])
	result.table[i,11] <- as.vector(var.imp[9])
	result.table[i,12] <- as.vector(var.imp[10])
	result.table[i,13] <- as.vector(var.imp[11])
	result.table[i,14] <- as.vector(var.imp[12])
	result.table[i,15] <- as.vector(var.imp[13])
	result.table[i,16] <- as.vector(var.imp[14])
	result.table[i,17] <- as.vector(var.imp[15])
	result.table[i,18] <- as.vector(var.imp[16])
	result.table[i,19] <- as.vector(var.imp[17])
	result.table[i,20] <- as.vector(var.imp[18])
	print(i)
	names(result.table) <- c("seed", "correct", "hes.type", "freq_X", "freq_P", "freq_N", "bifreq_XP", "bifreq_PN" , "TPD_XP", "TPD_PN", "TPB_XP", "TPB_PN", "MI_XP" , "MI_PN", "G_XP", "G_PN", "dPf_XP", "dPf_PN" , "dPb_XP", "dPb_PN")
	write.csv(result.table, file="forest_batch.txt")
}


rm(list=ls())










